Skip to content

Add IBAN to a customer

POST
/api/v4/partner/customer/add-iban

Register a SEPA IBAN for an existing customer. Bank name and country are auto-resolved from the IBAN. Multiple IBANs can be attached to a single customer; when executing a settlement you can route funds to a specific IBAN by its ibanId.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"customerId": "customer_a1b2c3d4",
"iban": "DE89370400440532013000",
"beneficiaryName": "John Doe",
"bic": "COBADEFFXXX"
}

Responses

OK

application/json
JSON
{
"status": "ok",
"payload": {
"ibanId": "iban_01HXYZ123456",
"iban": "DE89370400440532013000",
"beneficiaryName": "John Doe",
"bankName": "Commerzbank",
"bankCountry": "DE",
"bic": "COBADEFFXXX"
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X POST https://api.brrr.network/api/v4/partner/customer/add-iban \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customerId": "cust_a1b2c3d4",
    "iban": "DE89370400440532013000",
    "beneficiaryName": "John Doe"
  }'
javascript
const response = await fetch('https://api.brrr.network/api/v4/partner/customer/add-iban', {
  method: 'POST',
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    customerId: 'cust_a1b2c3d4',
    iban: 'DE89370400440532013000',
    beneficiaryName: 'John Doe',
  }),
});

const data = await response.json();
console.log('IBAN registered:', data.payload.ibanId);
python
import os
import httpx

response = httpx.post(
    'https://api.brrr.network/api/v4/partner/customer/add-iban',
    headers={
        'X-Api-Key': os.environ['BRRR_API_KEY'],
        'Content-Type': 'application/json',
    },
    json={
        'customerId': 'cust_a1b2c3d4',
        'iban': 'DE89370400440532013000',
        'beneficiaryName': 'John Doe',
    },
)
response.raise_for_status()
print('IBAN registered:', response.json()['payload']['ibanId'])